package #PACKAGE_NAME#;

import java.awt.*;
import java.awt.event.*;
import java.util.*;
import java.beans.*;
import java.io.*;

/* BeanContainer used to contain a set of beans and display them graphically */

public class #APPLET_NAME# extends java.applet.Applet
{
    public static void main (String args[])
        {
        Frame  frame     = new Frame();
        frame.addWindowListener (new MyListener());
        #APPLET_NAME#  panel  = new #APPLET_NAME#();
        panel.init();
        frame.add (panel, "Center");
        frame.setSize (panel.getPreferredSize());
        frame.setVisible(true);
        }
    
    public #APPLET_NAME#()
    {
    }

    public void init () 
    {
        String beanClassName = "#PACKAGE_NAME#.#CONTAINER_NAME#";
        Object beancontainer = instantiateFromName (beanClassName);

        if (Beans.isInstanceOf (beancontainer, Component.class)){
            setLayout (new BorderLayout());
            Component c = (Component) Beans.getInstanceOf (beancontainer, Component.class);
            add (c, "Center");
            setSize (c.getPreferredSize());
        }
    }

    public Object instantiateFromName (String beanClassName)
    {
        Object bean = null;
        try 
            {
                bean = Beans.instantiate (getClass().getClassLoader(), beanClassName);
            }
        catch (Exception ex) {
            System.err.println ("Couldn't instantiate " + beanClassName);
            ex.printStackTrace();
        }
        return bean;
    }

}

class MyListener implements WindowListener
{
    public MyListener()
    {}

    /**
     * Implements WindowListener interface.
     */
    public void windowClosed(WindowEvent evt)
    {
    }

    public void windowClosing(WindowEvent e)
    {
        System.exit(0);        
    }

    public void windowDeiconified(WindowEvent e)
    {
    }

    public void windowIconified(WindowEvent e)
    {
    }

    public void windowOpened(WindowEvent e)
    {
    }

    public void windowActivated(WindowEvent e)
    {
    }

    public void windowDeactivated(WindowEvent e)
    {
    }
    
}


